Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.jpg
Class CompressSetup

    java.lang.Object
      |
      +--com.sun.jimi.core.encoder.jpg.CompressSetup

public class CompressSetup
extends java.lang.Object

Field Summary
`static short` | `BITS_IN_SAMPLE`
`static byte` | `CS_GRAYSCALE`
`static byte` | `CS_RGB`
`static byte` | `CS_UNKNOWN`
`static byte` | `CS_YCbCr`
`static short` | `DCTSIZE`
`static short` | `MAX_BLOCKS_IN_MCU`
`static short` | `MAX_COMPS_IN_SCAN`
`static short` | `MAX_SAMP_FACTOR`

Constructor Summary
`CompressSetup()`

Method Summary
`static void` | `initial_setup(CompressInfo cinfo)`
`static void` | `setCDefaults(CompressInfo cinfo)`
`static void` | `setMDefaults(CompressInfo cinfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_COMPS_IN_SCAN

    public static final short MAX_COMPS_IN_SCAN

### DCTSIZE

    public static final short DCTSIZE

### MAX_BLOCKS_IN_MCU

    public static final short MAX_BLOCKS_IN_MCU

### BITS_IN_SAMPLE

    public static final short BITS_IN_SAMPLE

### MAX_SAMP_FACTOR

    public static final short MAX_SAMP_FACTOR

### CS_UNKNOWN

    public static final byte CS_UNKNOWN

### CS_GRAYSCALE

    public static final byte CS_GRAYSCALE

### CS_RGB

    public static final byte CS_RGB

### CS_YCbCr

    public static final byte CS_YCbCr

Constructor Detail

### CompressSetup

    public CompressSetup()

Method Detail

### setCDefaults

    public static void setCDefaults(CompressInfo cinfo)

### setMDefaults

    public static void setMDefaults(CompressInfo cinfo)

### initial_setup

    public static void initial_setup(CompressInfo cinfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD